Subject: Re: BUG ? ipip unregister_netdevice_many()

From: [email-masked] (Eric W. Biederman)
Date: Fri, 08 Oct 2010 09:51:14 -0700

Daniel Lezcano <[email-masked]> writes:

> On 10/07/2010 10:48 AM, Hans Schillstrom wrote:
>> Hello
>> I'm trying to exit a network name space and it doesn't work (or am I doing something wrong?)
>> The only netdevices left are lo and the tunnels ip6tnl0, sit0 and tunl0 when exiting netns.
>>
>> A netns is created by lxc-execute with two interfaces eth0 eth1 (macvlan)
>> (see conf file at the end)
>>
>> Kernel: net-next-2.6 top from 4 october 2010
>>    
>
> Hi Hans,
>
> I tried to reproduce your problem but I just get a big kernel crash when exiting
> the container :/
>
> The stack is different but it may be related to the same problem.

Double ouch.  My guess that this is more related to the recent macvlan
changes.

It looks like there is plenty of debugging work to do :(

Ouch Ouch Ouch!

Eric